<template>
    <div>
        <ClientForm v-bind:client="client" v-bind:companies="companies" v-on:submit="edit" v-on:back="back" v-on:remove="remove"></ClientForm>
    
    </div>
</template>

<script>
import ClientForm from './Client.Form.vue';
import { editClient, deleteClient } from '@/api/clients.service.js';
export default {
    computed: {
        client() {
            return this.$store.getters.getCurrentClient;
        },
        companies() {
            return this.$store.getters.getAllCompanies;
        }
    },
    methods: {
        edit: function () {
            editClient(this.client._id, this.client).then((response) => {
                this.$router.go(-1);
            }).catch((error) => {
                console.log(error);
                this.msg = "une erreur s'est produite, Veuillez réssayez";
                this.color = "red";
            });

        },
        back: function () {
            this.$router.go(-1);
        },
        remove: function () {
            deleteClient(this.client._id).then((response) => {
                this.$router.go(-1);
            }).catch((error) => {
                console.log(error);
                this.msg = "une erreur s'est produite, Veuillez réssayez";
                this.color = "red";
            });
        }
    },
    created() {
        this.$store.dispatch('setClientById', this.$route.params.id);
        this.$store.dispatch('setAllCompanies');
    },
    components: {
        ClientForm
    }
}
</script>

<style>

</style>
